Skip to main content
POST

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

memberId
string
required

Unique loyalty card code assigned to a particular customer.

Example:

"MmFAzfDe"

pendingPointsId
string
required

Unique pending point identifier, assigned by Voucherify.

Body

application/json

Define the number of pending points to be added or subtracted.

Request body schema for POST v1/loyalties/members/{memberId}/pending-points/{pendingPointsId}/balance.

points
integer

Add or subtract pending points with a given ID. A negative value subtracts the points.

Response

Returns the details about the balance adjustment of the pending points with a given ID for a loyalty card.

Response body schema for POST /loyalties/members/{memberId}/pending-points/{pendingPointsId}/balance.

points
integer
required

The number of pending points added to or subtracted from the loyalty card.

total
integer
required

Total number of pending points currently on a loyalty card.

object
enum<string>
default:balance
required

The type of the object represented by JSON. Default is balance.

Available options:
balance

Defines the resource that is being modified.

operation_type
enum<string>
default:MANUAL
required

The type of the operation being performed.

Available options:
MANUAL
Last modified on July 7, 2026